This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 433960 - basket failed massrebuild attempt for GCC 4.3
basket failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: basket (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:50 EST by Jesse Keating
Modified: 2013-01-09 21:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 10:46:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:50:10 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=435854
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-22 08:57:36 EST
Errors in i386 build.log:

bnpview.cpp: In member function 'void BNPView::lateInit()':
bnpview.cpp:141: warning: suggest explicit braces to avoid ambiguous 'else'
bnpview.cpp:139: warning: suggest explicit braces to avoid ambiguous 'else'
bnpview.cpp: In member function 'void BNPView::newFilter()':
bnpview.cpp:1031: warning: suggest explicit braces to avoid ambiguous 'else'
bnpview.cpp: In member function 'QPopupMenu* BNPView::popupMenu(const QString&)':
bnpview.cpp:1551: error: 'exit' was not declared in this scope
make[2]: *** [bnpview.lo] Error 1
Comment 2 Rex Dieter 2008-04-02 12:32:44 EDT
looking.
Comment 3 Bug Zapper 2008-05-14 01:20:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Aurelien Bompard 2008-06-11 10:46:36 EDT
Fixed by Kevin Kofler (thanks)

Note You need to log in before you can comment on or make changes to this bug.